<?php 
/************************************************************************/
/* Eleonline - Raccolta e diffusione dei dati elettorali                */
/* by Roberto Gigli & Luciano Apolito                                   */
/* http://www.eleonline.it                                              */
/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
/************************************************************************/
/* widget cerca candidato
  by luciano apolito 2015 */


if (!defined('MODULE_FILE')) {
    die ("You can't access this file dirrectly...");
}
global $id_comune;

# validatore form
echo '
 <script type="text/javascript">
function validateForm()
	{
	var x=document.forms["form_candi"]["cognome"].value;
	if (x==null || x=="")
	  {
	  
	  return false;
	  }
	}
</script>
';

# form
echo '
		<div><h5>Cerca il candidato</h5>  
		<form method="post" name="form_candi" action="" onsubmit="return validateForm()" >
		Inserisci il cognome o/e il nome intero del candidato da cercare<br/>
		<input type="text" name="cognome" maxlength="30" size="10" value="">';
echo "<input type=\"hidden\" name=\"id_comune\" value=\"$id_comune\">";
echo	'<input type="submit" value="Cerca">
		</form>
		</div>
';

if(isset($_SESSION['cerca_cand'])) $cerca_cand=$_SESSION['cerca_cand']; else $cerca_cand="";
echo $cerca_cand;
$_SESSION['cerca_cand']='';


$url=$_SERVER['REQUEST_URI']; // url della pagina per il reload

$param=strtolower($_SERVER['REQUEST_METHOD']) == 'get' ? $_GET : $_POST;
if (isset($param['cognome'])) get_magic_quotes_gpc() ? $cognome=$param['cognome']:$cognome=addslashes($param['cognome']); else $cognome='';
$chiave="$cognome";
global $id_comune;


if($cognome!=''){
	# divide nome e cognome
	$arr = explode(" ", $cognome);
	$num_arr=count($arr);
	if ($num_arr==2){
		$cognome=$arr[0];
		$nome=$arr[1];
		$numeratore= " AND "; // cognome e nome 
	}else{
		$nome=$cognome;
		$numeratore= " OR "; // cognome o nome
	}

	$sql_cand= mysql_query("SELECT * FROM ".$prefix."_ele_candidati  where ((cognome like '%$cognome%' $numeratore nome like '%$nome%') OR (cognome like '%$nome%' 
	$numeratore nome like '%$cognome%')) and id_cons in(select id_cons from ".$prefix."_ele_cons_comune where id_comune='$id_comune')", $dbi);
	$num_tot = mysql_num_rows($sql_cand); 
	$res = mysql_query("SELECT * FROM ".$prefix."_ele_candidati  where ((cognome like '%$cognome%' $numeratore nome like '%$nome%') OR (cognome like '%$nome%' 	  $numeratore nome like '%$cognome%'))  and id_cons in(select id_cons from ".$prefix."_ele_cons_comune where id_comune='$id_comune') ORDER BY id_cand DESC LIMIT 0,7", $dbi);
	while (list($id_cand,$id_cons2,$id_lista,$cognome,$nome,$note,$simbolo,$num_candidato) = mysql_fetch_row($res)) {
		$res1 = mysql_query("SELECT id_cons_gen FROM ".$prefix."_ele_cons_comune  where id_cons='$id_cons2'" , $dbi);	
			list($id_cons_gen_cand) = mysql_fetch_row($res1);
		$res2 = mysql_query("SELECT descrizione, tipo_cons FROM ".$prefix."_ele_consultazione  where id_cons_gen='$id_cons_gen_cand'" , $dbi);
			list($descr_consultazione,$tipo_consul) = mysql_fetch_row($res2);
		$res3 = mysql_query("SELECT descrizione FROM ".$prefix."_ele_lista  where id_lista='$id_lista'" , $dbi);
			list($descr_lista) = mysql_fetch_row($res3);

		$res4 = mysql_query("select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons2'",$dbi);
		$sezioni=mysql_num_rows($res4);
		$cerca_cand .= "<div style=\"text-align:left\"><hr/>";
		$cerca_cand .= "<img src=\"modules.php?name=Elezioni&amp;file=foto&amp;id_lista=$id_lista\" width=\"30\" heigth=\"30\" align=\"left\">";

		if($tipo_consul!='4'){ // non è circoscrizione
			$cerca_cand .="<a href=\"modules.php?name=Elezioni&amp;id_cons_gen=$id_cons_gen_cand&amp;id_comune=$id_comune&amp;op=candidato_sezione&amp;min=$num_candidato&amp;offset=$num_candidato&amp;id_lista=$id_lista&amp;orvert=1&amp;offsetsez=$sezioni&id_circ=\">
			$cognome $nome</a> $descr_consultazione - $descr_lista ";
		}else{
			$cerca_cand .= "$cognome $nome</a> $descr_consultazione - $descr_lista ";
		}
		$cerca_cand .='</div>';

	}

	$cerca_cand .="<hr/>Trovati n.$num_tot con chiave <b>$chiave</b>";
	if($num_tot>="8") $cerca_cand .="<br/>Raffina la ricerca...";

	$_SESSION['cerca_cand']=$cerca_cand;
	header("location:$url ");
	//$cognome='';
}



?>
